$ Copyright 2002 Sun Microsystems, Inc. All rights reserved.
$ Use is subject to license terms.

$ #ident  "@(#)nettest.msg  1.23  02/04/22  SMI"

$ * Network test error message file.
$ * VERBOSE 1
$ * INFO 2000
$ * WARNING 4000
$ * ERROR 6000
$ * FATAL 8000


$ VERBOSE
1 "Message received from VTS kernel: Type %d %s."
2 "Set echo data length for device type '%s' to min %d max %d."
3 "Probing for network interface %s."
4 "Allocated %d bytes for configuration storage, %d bytes per unit."
5 "Random test: %d packets of random datalen and random pattern."
6 "Increment test: %d packets of datalen %d to %d using incremental pattern."
7 "Pattern test: %d packets of datalen %d using patterns 0 to 0xFF."
8 "Pattern test: %d packets of datalen %d using pattern 0x%X."
9 "%s" 
10 " inet %s"
11 " ether %s"
12 " port %d"
13 "Packet ID started at %d."
14 "Send ICMP broadcast to find target for IPV4."
15 "Send RPC broadcast to find target."
16 "Timeout for no expected message from host %s."
17 "Unable to find test target using ICMP echo."
18 "Send ICMP multicast to find target for IPV6."

$ INFO
2000 Network test options:\n\
 target=  List of test targets can be host name, or inet address\n\
 dev=     Network interface name (default %s)\n\
 test=    Test type (Random+Increment+Pattern, default all)\n

2001  packets= Number of random/pattern packets (default %d)\n\
 pattern= Specific data pattern (default all patterns 0 to 0xFF)\n\
 timeout= Number of seconds to wait before time out (default %d)\n\
 retry=   Number of test timeout retries (default %d)\n\
 warn     Print warning messages\n
2002  Connected: <%s, %s, %s>
2003  Not configured: <interface %s not configured>


$ WARNING
4001 "ICMP echo reply timeout from %s." Probable_Cause(s): <bad network board> <system load too heavy> <target machine too busy or down> <no cable connection> Recommended_Actions: <replace network board> <reduce system load or increase timeout time> <check target machine or reduce target machine load> <check cable connection>

$ ERROR
6000 "RPC broadcast failure (%s)."
6001 "Unable to resolve %s ethernet address."
6002 "No ICMP echo reply from %s." Probable_Cause(s): <bad network board> <system load too heavy> <no cable connection> <target machine too busy> Recommended_Actions: <replace network board> <reduce system load or increase timeout time> <check cable connection> <reduce target machine load>
6003 "ICMP echo reply incorrect length from %s, exp %d obs %d."
6004 "ICMP echo reply length %d from %s, data mismatch at byte %d, exp 0x%02x obs 0x%02x."
6005 "Unable to find any test target."
6006 "Unable to find necessary test targets for the ethernet switch."


$  System error messages
$ FATAL
8000 "Unable to open %s (%s)."
8001 "Bad ioctl %s (%s)."
8002 "Unable to allocate %d bytes of memory (%s)."
8003 "System call %s returned %d (%s)."
8004 "Unable to map network entry for %s."
8005 "ATM device %s requires target specification."
8006 "Failed to allocate %d bytes of swap space for configuration."
8007 "dl_primitive response = %d"
8008 "dl_ok_ack: short response"
8009 "dl_phys_addr_ack: short response"
8010 "Invalid Argument '%s'"
8011 "Interface %s not configured in system."


$ PROBE 
10001 "nettest probe: Failed to open NETCONFFILE."
10002 "nettest probe: Failed to open /etc/path_to_inst."
10003 "nettest probe: Failed to get ethernet address." 
10004 "nettest probe: dl_primitive not responded with DL_OK_ACK." 
10005 "nettest probe: Short response during dl_ok_ack."
10006 "nettest probe: dl_primitive not responded with DL_PHYS_ADDR_ACK."
10007 "nettest probe: dl_phys_addr_ack has short response."
10008 "nettest probe: No Host Entry."
10009 "nettest probe: Can't get domain name: YP not running."
10010 "ERROR: %s(nettest) is not configured in the system."
10011 "nettest probe: Bad ioctl SIOCGIFADDR for getting internet address %s."
10012 "nettest probe: Bad ioctl SIOCGIFNETMASK for getting netmask %s."
10014 "nettest probe: Failed to open device %s; %s."
10015 "nettest probe: Bad ioctl SIOCGIFCONF for getting network configuration %s ."
10016 "nettest probe: Bad ioctl SIOCGIFFLAGS for getting device flags %s."
10017 "nettest probe: Bad ioctl SIOCGIFBRDADDR for getting broadcast address %s."
10018 "nettest probe: Cannot open a socket %s."
10019 "nettest probe: System call putmsg failed %s."
10020 "nettest probe: System call getmsg failed %s."
10021 "nettest probe: Failed to allocate memory %s."
10022 "Host_Name: Unknown"
10023 ",Host Address: %s"
10024 "Port Address: %s"
10025 "Port Address: Unknown"
10026 ",Host ID: %x"
10027 ",Domain Name: %s"

